<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__lptimer__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_lptimer_info_t</compoundname>
    <includes local="no">cyhal_lptimer.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__lptimer__info__t_1a4e13c1d5a49242cc9c88c1ae28eaa6d1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_lptimer_info_t::frequency_hz</definition>
        <argsstring />
        <name>frequency_hz</name>
        <briefdescription>
<para>Operating clock frequency the LPTimer is running on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="87" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="87" />
      </memberdef>
      <memberdef id="structcyhal__lptimer__info__t_1ad0043d671bf3be7655d7701d6fbedcb8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_lptimer_info_t::min_set_delay</definition>
        <argsstring />
        <name>min_set_delay</name>
        <briefdescription>
<para>Minimum permitted value for the delay parameter in <ref kindref="member" refid="group__group__hal__lptimer_1gae91cdc8b63ef191f5a2013df3aaa5d78">cyhal_lptimer_set_delay</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="88" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="88" />
      </memberdef>
      <memberdef id="structcyhal__lptimer__info__t_1ad1c80953a10b9fb43df70da51da519dc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_lptimer_info_t::max_counter_value</definition>
        <argsstring />
        <name>max_counter_value</name>
        <briefdescription>
<para>Maximum value of the counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="89" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="89" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LPTimer Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="90" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" bodystart="86" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_lptimer.h" line="86" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__lptimer__info__t_1a4e13c1d5a49242cc9c88c1ae28eaa6d1" virt="non-virtual"><scope>cyhal_lptimer_info_t</scope><name>frequency_hz</name></member>
      <member prot="public" refid="structcyhal__lptimer__info__t_1ad1c80953a10b9fb43df70da51da519dc" virt="non-virtual"><scope>cyhal_lptimer_info_t</scope><name>max_counter_value</name></member>
      <member prot="public" refid="structcyhal__lptimer__info__t_1ad0043d671bf3be7655d7701d6fbedcb8" virt="non-virtual"><scope>cyhal_lptimer_info_t</scope><name>min_set_delay</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>